package ru.yandex.webmaster3.internal.common.request;

import ru.yandex.webmaster3.core.data.WebmasterUser;
import ru.yandex.webmaster3.core.http.request.WebmasterUserIdAware;
import ru.yandex.webmaster3.internal.common.InternalRequest;

/**
 * Created by leonidrom on 14/06/2017.
 */
public class AbstractUserRequest extends InternalRequest implements WebmasterUserIdAware {
    private long userId;
    private WebmasterUser webmasterUser;

    @Override
    public void setUserId(long userId) {
        this.userId = userId;
    }

    @Override
    public long getUserId() {
        return userId;
    }

    @Override
    public void setWebmasterUser(WebmasterUser user) {
        this.webmasterUser = user;
    }

    @Override
    public WebmasterUser getWebmasterUser() {
        return webmasterUser;
    }
}
